Package docking.options.editor

# Class ScrollableOptionsEditor

java.lang.Object
docking.options.editor.ScrollableOptionsEditor

All Implemented Interfaces:
  `OptionsEditor`

public class ScrollableOptionsEditor extends Object implements OptionsEditor
Panel that shows each property in an Options category or a Group in an Options category

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ScrollableOptionsEditor(String title)`
  Creates a panel for editing options.
  `ScrollableOptionsEditor(String title, List<String> optionNames)`
  Creates a panel for editing options.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `apply()`
  Apply the changes.
  `void`
  `cancel()`
  Cancel the changes.
  `void`
  `dispose()`
  Dispose this editor
  `JComponent`
  `getComponent()`
  `JComponent`
  `getEditorComponent(Options options, EditorStateFactory factory)`
  Get the editor component.
  `void`
  `reload()`
  A signal to reload the GUI widgets in the component created by this editor.
  `void`
  `setOptionsPropertyChangeListener(PropertyChangeListener listener)`
  Sets the options change listener

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ScrollableOptionsEditor

    public ScrollableOptionsEditor(String title, List<String> optionNames)
    Creates a panel for editing options. This version of the constructor allows the client to specify the option names to put them in some order other than the default alphabetical ordering.
    Parameters:
      `title` - The title of the options panel
      `optionNames` - the names of the options for this panel

  - ### ScrollableOptionsEditor

    public ScrollableOptionsEditor(String title)
    Creates a panel for editing options. This version of the constructor will get the options names from the options object when `getEditorComponent(Options, EditorStateFactory)` is called.
    Parameters:
      `title` - the title for the panel

- ## Method Details

  - ### dispose

    public void dispose()
    Description copied from interface: `OptionsEditor`
    Dispose this editor
    Specified by:
      `dispose` in interface `OptionsEditor`

  - ### apply

    public void apply() throws InvalidInputException
    Description copied from interface: `OptionsEditor`
    Apply the changes.
    Specified by:
      `apply` in interface `OptionsEditor`
    Throws:
      `InvalidInputException`

  - ### cancel

    public void cancel()
    Description copied from interface: `OptionsEditor`
    Cancel the changes.
    Specified by:
      `cancel` in interface `OptionsEditor`

  - ### reload

    public void reload()
    Description copied from interface: `OptionsEditor`
    A signal to reload the GUI widgets in the component created by this editor. This will happen when the options change out from under the editor, such as when the user restores the default options values.
    Specified by:
      `reload` in interface `OptionsEditor`

  - ### getEditorComponent

    public JComponent getEditorComponent(Options options, EditorStateFactory factory)
    Description copied from interface: `OptionsEditor`
    Get the editor component.
    Specified by:
      `getEditorComponent` in interface `OptionsEditor`
    Parameters:
      `options` - The editable options that for which a GUI component will be created
      `factory` - The factory that will provide state objects this options editor

  - ### setOptionsPropertyChangeListener

    public void setOptionsPropertyChangeListener(PropertyChangeListener listener)
    Description copied from interface: `OptionsEditor`
    Sets the options change listener
    Specified by:
      `setOptionsPropertyChangeListener` in interface `OptionsEditor`
    Parameters:
      `listener` -

  - ### getComponent

    public JComponent getComponent()